/*---------------------------------------------------------------------------
     File name    : CustomStatusBar.h
     Author       : William Baxter
     Created      : 8/3/2003
  
     Description  : 
  --------------------------------------------------------------------------*/
#ifndef _CUSTOMSTATUSBAR_H
#define _CUSTOMSTATUSBAR_H

#include <FXStatusBar.h>

class CustomStatusLine : public FXStatusLine
{
  FXDECLARE(CustomStatusLine)
public:
  CustomStatusLine(FXComposite* p,FXObject* tgt=NULL,FXSelector sel=0);
  ~CustomStatusLine();

  long onPaint(FXObject*,FXSelector,void*);
protected:
  CustomStatusLine();

private:
};


class CustomStatusBar : public FXStatusBar
{
  FXDECLARE(CustomStatusBar)
public:
  CustomStatusBar(
    FXComposite* p,FXuint opts=0,
    FXint x=0,FXint y=0,FXint w=0,FXint h=0,
    FXint pl=3,FXint pr=3,FXint pt=2,FXint pb=2,FXint hs=4,FXint vs=0
    );
  ~CustomStatusBar();
protected:
  CustomStatusBar() {};
  
private:
};


#endif // _CUSTOMSTATUSBAR_H
