/*---------------------------------------------------------------------------
     File name    : ToolBarButton.cpp
     Author       : William Baxter
     Created      : 11/2/2003
  
     Description  : 
  --------------------------------------------------------------------------*/
#include <fx.h>
#include "ToolBarButton.h"

//FXIMPLEMENT(ToolBarButton,FXButton,NULL,0)

ToolBarButton::ToolBarButton() : FXButton() {}

ToolBarButton::ToolBarButton(
 FXComposite*  p,
 const FXString&  text,
 FXIcon*  ic,
 FXObject*  tgt,
 FXSelector  sel,
 FXuint  opts,
 FXint  x,
 FXint  y,
 FXint  w,
 FXint  h,
 FXint  pl,
 FXint  pr,
 FXint  pt,
 FXint  pb) 
 : FXButton(p,text,ic,tgt,sel,opts,
            x,y,w,h,pl,pr,pt,pb)

{
}

FXbool ToolBarButton::canFocus() const
{
  return false;
}
