/*---------------------------------------------------------------------------
     File name    : ToolBarButton.h
     Author       : William Baxter
     Created      : 11/2/2003
  
     Description  : 
  --------------------------------------------------------------------------*/
#ifndef _TOOLBARBUTTON_H
#define _TOOLBARBUTTON_H

#include <FXButton.h>

class ToolBarButton : public FXButton 
{
  //FXDECLARE(ToolBarButton)
protected:
  ToolBarButton();

public:
  /// Construct button with text and icon
  ToolBarButton(FXComposite* p,const FXString& text,FXIcon* ic=NULL,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=BUTTON_NORMAL,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);

  /// Returns false because a toolbar button cannot receive focus
  virtual FXbool canFocus() const;
 
};

#endif // _TOOLBARBUTTON_H
