/*---------------------------------------------------------------------------
     File name    : ToolBarToggleButton.cpp
     Author       : William Baxter
     Created      : 11/2/2003
  
     Description  : 
  --------------------------------------------------------------------------*/
#include "fx.h"
#include "ToolBarToggleButton.h"

ToolBarToggleButton::ToolBarToggleButton()
: FXToggleButton()
{}

 ToolBarToggleButton::ToolBarToggleButton(
 FXComposite*  p,
 const FXString&  text1,
 const FXString&  text2,
 FXIcon*  icon1,
 FXIcon*  icon2,
 FXObject*  tgt,
 FXSelector  sel,
 FXuint  opts,
 FXint  x,
 FXint  y,
 FXint  w,
 FXint  h,
 FXint  pl,
 FXint  pr,
 FXint  pt,
 FXint  pb) :
 FXToggleButton( p,text1,text2,icon1,icon2,tgt,sel,opts,
                 x, y, w, h, pl, pr, pt, pb)
{
}

FXbool ToolBarToggleButton::canFocus() const
{
  return false;
}
