/*---------------------------------------------------------------------------
     File name    : memorymappedfile.h
     Author       : William Baxter
     Created      : 7/31/2003
  
     Description  : Platform independent wrapper for memory mapped file.
  --------------------------------------------------------------------------*/
#ifndef _MEMORYMAPPEDFILE_H
#define _MEMORYMAPPEDFILE_H

class _MemoryMappedFilePriv;

class MemoryMappedFile

{
public:
  MemoryMappedFile(const char* name, unsigned int create_flags);
  ~MemoryMappedFile();

  void *data();

  enum { OPEN_READ=0x1, OPEN_WRITE=0x2, OPEN_READWRITE=0x3 };
protected:
private:
  _MemoryMappedFilePriv *priv;
};

#endif // _MEMORYMAPPEDFILE_H
