#include "win32event.h"

#include <windows.h>
#include <limits.h>


void *CreateImageReadySignalEvent(const char*evname)
{
  return CreateEvent(
    NULL,  //LPSECURITY_ATTRIBUTES lpEventAttributes,
    FALSE, //bManualReset,
    FALSE, // bInitialState,
    TEXT(evname) 
    );
}

void *CreateImageReadySemaphore(const char*evname, long initialVal)
{
  return CreateSemaphore(
    NULL,       //LPSECURITY_ATTRIBUTES lpEventAttributes,
    initialVal, //initial value,
    LONG_MAX,    //maximum value
    TEXT(evname) 
    );
}
